org.apache.ignite.internal.processors.hadoop

## Interface HadoopSerialization

All Superinterfaces:
  AutoCloseable

    public interface HadoopSerialization
    extends AutoCloseable

Hadoop serialization. Not thread safe object, must be created for each thread or correctly synchronized.

### Method Summary

Methods
`void` `close()` Finalise the internal objects.
`Object` `read(DataInput in, Object obj)` Reads object from the given input optionally reusing given instance.
`void` `write(DataOutput out, Object obj)` Writes the given object to output.

### Method Detail

#### write

    void write(DataOutput out,
             Object obj)
               throws IgniteCheckedException

Writes the given object to output.

Parameters:
  `out` - Output.
  `obj` - Object to serialize.
Throws:
  `IgniteCheckedException` - If failed.

#### read

    Object read(DataInput in,
              @Nullable
              Object obj)
                throws IgniteCheckedException

Reads object from the given input optionally reusing given instance.

Parameters:
  `in` - Input.
  `obj` - Object.
Returns:
  New object or reused instance.
Throws:
  `IgniteCheckedException` - If failed.

#### close

    void close()
               throws IgniteCheckedException

Finalise the internal objects.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015